#!/bin/bash

Files="$1"
if [ ! -e "$Files" ]; then
  echo "$0: ERROR - missing .files file"
  echo -n "Candidates: "
  ls *.files
  exit 5
fi

echo "updating QtCreator project in $Files"
echo "reading all .c-files..."
find ./ -follow -name "*.c" -exec ./_/addProjectFile.pl $Files {} \; >$Files.temp
cat $Files.temp >>$Files

echo "reading all .h-files..."
find ./ -follow -name "*.h" -exec ./_/addProjectFile.pl $Files {} \; >$Files.temp
cat $Files.temp >>$Files

echo "new files have been added to $Files"

